{
  cooldown: 0.0,
  areas: [
    {
      name: "ANYWHERE",
      rect: { x: 0, y: 0, w: 100, h: 100 },
      activeAreaColor: "0x1c1c1cff",
      areaColor: "0x1c1c1cff",
      model: "*FILLAREA*",
      isEnterable: 1
    },
    {
      name: "KEYNAME",
      rect: { x: 10, y: 0, w: 80, h: 15 },
      areaColor: "",
      activeAreaColor: "",
      model: "[KEY_NAME]",
      material: "0xd5d5d5ff, 4, PICK-TITLE, 4",
      isEnterable: 0
    },
    {
      name: "KEYPREV",
      rect: { x: 0, y: 0, w: 7, h: 10 },
      activeAreaColor: "0x117b1bff",
      areaColor: "0xc00046ff",
      model: "<",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      isEnterable: 1
    },
    {
      name: "KEYNEXT",
      rect: { x: 93, y: 0, w: 7, h: 10 },
      activeAreaColor: "0x117b1bff",
      areaColor: "0xc00046ff",
      model: ">",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      isEnterable: 1
    },
    {
      name: "KEYDESC",
      rect: { x: 8, y: 17, w: 84, h: 30 },
      areaColor: "0x333333ff",
      model: "[KEY_DESC]",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      isEnterable: 0
    },
    {
      name: "KEYVALUE",
      rect: { x: 20, y: 51, w: 60, h: 10 },
      areaColor: "0x333333ff",
      model: "[KEY_VALUE]",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      isEnterable: 0
    },
    {
      name: "VALUEPREV",
      rect: { x: 9, y: 51, w: 10, h: 10 },
      activeAreaColor: "0x117b1bff",
      areaColor: "0xc00046ff",
      model: "-",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      isEnterable: 1
    },
    {
      name: "VALUENEXT",
      rect: { x: 81, y: 51, w: 10, h: 10 },
      activeAreaColor: "0x117b1bff",
      areaColor: "0xc00046ff",
      model: "+",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      isEnterable: 1
    },
    {
      name: "VALUEDEF",
      rect: { x: 30, y: 63, w: 40, h: 10 },
      areaColor: "0x333333ff",
      model: "[VALUE_DEF]",
      material: "0xd5d5d5ff, 2, PICK-TEXT",
      isEnterable: 0
    },
    {
      name: "VALUEDESC",
      rect: { x: 25, y: 75, w: 50, h: 15 },
      areaColor: "0x333333ff",
      model: "[VALUE_DESC]",
      material: "0xd5d5d5ff, 2, PICK-TEXT",
      isEnterable: 0
    },
    {
      name: "BACK",
      rect: { x: 0, y: 90, w: 20, h: 10 },
      activeAreaColor: "0x117b1bff",
      areaColor: "0xc00046ff",
      model: "BACK",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      isEnterable: 1
    },
  ],
  //
  // ############## SWITCHES
  //
  switches: [
    // LEFT -> previous key
    {
      areas: [ "KEYPREV" ],
      triggers: [
        { triggerType: KEY,   key:         "a" },
        { triggerType: KEY,   key:         "KEY_LEFT" },
        { triggerType: KEY,   key:         "KEY_SPACE" },
        { triggerType: KEY,   key:         "KEY_RETURN" },
        { triggerType: JPAD,  jpadFlag:    LF },
        { triggerType: JPAD,  jpadFlag:    DPAD_LF },
        { triggerType: JPAD,  jpadFlag:    B1 },
        { triggerType: MOUSE, mouseButton: LMB },
      ],
      delays: { },
      actions: { press: [{ id: "LOGIC_RETURN", info: "KEY-PREV" } ] }
    },
    // RIGHT -> next key
    {
      areas: [ "KEYNEXT" ],
      triggers: [
        { triggerType: KEY,   key:         "d" },
        { triggerType: KEY,   key:         "KEY_RIGHT" },
        { triggerType: KEY,   key:         "KEY_SPACE" },
        { triggerType: KEY,   key:         "KEY_RETURN" },
        { triggerType: JPAD,  jpadFlag:    RT },
        { triggerType: JPAD,  jpadFlag:    DPAD_RT },
        { triggerType: JPAD,  jpadFlag:    B1 },
        { triggerType: MOUSE, mouseButton: LMB },
      ],
      delays: { },
      actions: { press: [{ id: "LOGIC_RETURN", info: "KEY-NEXT" } ] }
    },
    // DOWN -> prev value
    {
      areas: [ "VALUEPREV" ],
      triggers: [
        { triggerType: KEY,   key:         "s" },
        { triggerType: KEY,   key:         "KEY_DOWN" },
        { triggerType: KEY,   key:         "KEY_SPACE" },
        { triggerType: KEY,   key:         "KEY_RETURN" },
        { triggerType: JPAD,  jpadFlag:    DN },
        { triggerType: JPAD,  jpadFlag:    DPAD_DN },
        { triggerType: JPAD,  jpadFlag:    B1 },
        { triggerType: MOUSE, mouseButton: LMB },
      ],
      delaysRef: "menu_standardRep",
      actions: { press: [{ id: "LOGIC_RETURN", info: "VALUE-PREV" } ] }
    },
    // UP -> next value
    {
      areas: [ "VALUENEXT" ],
      triggers: [
        { triggerType: KEY,   key:         "w" },
        { triggerType: KEY,   key:         "KEY_UP" },
        { triggerType: KEY,   key:         "KEY_SPACE" },
        { triggerType: KEY,   key:         "KEY_RETURN" },
        { triggerType: JPAD,  jpadFlag:    UP },
        { triggerType: JPAD,  jpadFlag:    DPAD_UP },
        { triggerType: JPAD,  jpadFlag:    B1 },
        { triggerType: MOUSE, mouseButton: LMB },
      ],
      delaysRef: "menu_standardRep",
      actions: { press: [{ id: "LOGIC_RETURN", info: "VALUE-NEXT" } ] }
    },
    {
      areas: [ "BACK" ],
      triggers: [
        { triggerType: KEY,   key:         "KEY_ESCAPE" },
        { triggerType: KEY,   key:         "KEY_SPACE" },
        { triggerType: KEY,   key:         "KEY_RETURN" },
        { triggerType: JPAD,  jpadFlag:    B1 },
        { triggerType: MOUSE, mouseButton: LMB },
      ],
      delays: { },
      actions: { press: [{ id: "LOGIC_RETURN", info: "GOTO-MENU" } ] }
    },
    // Escape anywhere goes to BACK
    {
      areas: [ "ANYWHERE", "KEYPREV", "KEYNEXT", "VALUEPREV", "VALUENEXT", ],
      triggers: [
        { triggerType: KEY,   key:         "KEY_ESCAPE" },
      ],
      delays: { },
      actions: { press: [{ id: "GOTO_AREA", info: "BACK" } ] }
    },
    // LEFT anywhere goes to KEYPREV (and press PREV)
    {
      areas: [ "ANYWHERE", "BACK", "KEYNEXT", "VALUEPREV", "VALUENEXT", ],
      triggers: [
        { triggerType: KEY,   key:         "a" },
        { triggerType: KEY,   key:         "KEY_LEFT" },
        { triggerType: JPAD,  jpadFlag:    LF },
        { triggerType: JPAD,  jpadFlag:    DPAD_LF },
      ],
      delays: { },
      actions: { press: [ { id: "GOTO_AREA", info: "KEYPREV" } , 
                          { id: "LOGIC_RETURN", info: "KEY-PREV" }, ] }
    },
    // RIGHT anywhere goes to KEYNEXT (and press NEXT)
    {
      areas: [ "ANYWHERE", "BACK", "KEYPREV", "VALUEPREV", "VALUENEXT", ],
      triggers: [
        { triggerType: KEY,   key:         "d" },
        { triggerType: KEY,   key:         "KEY_RIGHT" },
        { triggerType: JPAD,  jpadFlag:    RT },
        { triggerType: JPAD,  jpadFlag:    DPAD_RT },
      ],
      delays: { },
      actions: { press: [ { id: "GOTO_AREA", info: "KEYNEXT" },
                          { id: "LOGIC_RETURN", info: "KEY-NEXT" }, ] }
    },
    // UP anywhere goes to VALUENEXT
    {
      areas: [ "ANYWHERE", "BACK", "KEYPREV", "KEYNEXT", "VALUEPREV", ],
      triggers: [
        { triggerType: KEY,   key:         "w" },
        { triggerType: KEY,   key:         "KEY_UP" },
        { triggerType: JPAD,  jpadFlag:    UP },
        { triggerType: JPAD,  jpadFlag:    DPAD_UP },
      ],
      delays: { },
      actions: { press: [{ id: "GOTO_AREA", info: "VALUENEXT" } ] }
    },
    // DOWN anywhere goes to VALUEPREV
    {
      areas: [ "ANYWHERE", "BACK", "KEYPREV", "KEYNEXT", "VALUENEXT", ],
      triggers: [
        { triggerType: KEY,   key:         "s" },
        { triggerType: KEY,   key:         "KEY_DOWN" },
        { triggerType: JPAD,  jpadFlag:    DN },
        { triggerType: JPAD,  jpadFlag:    DPAD_DN },
      ],
      delays: { },
      actions: { press: [{ id: "GOTO_AREA", info: "VALUEPREV" } ] }
    },
  ]
}

